<!DOCTYPE html>
<html lang="ru">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/style.css">

    <!--Slick CSS-->
    <link rel="stylesheet" type="text/css" href="slick/slick.css"/>
    <link rel="stylesheet" type="text/css" href="slick/slick-theme.css"/>    

    <script
    src="https://code.jquery.com/jquery-3.2.1.min.js"
    integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4="
    crossorigin="anonymous"></script>
    
    <script 
    src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" 
    integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" 
    crossorigin="anonymous"></script>
    
    <script 
    src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" 
    integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" 
    crossorigin="anonymous"></script>
   
    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Amatic+SC:wght@700&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Cormorant+SC:wght@600&display=swap" rel="stylesheet">

    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
    <script src="slick/slick.min.js" defer></script>
    <script src="js/price.js" defer></script>
    <script src="js/calc.js" defer></script>
    <script src="js/gallery.js" defer></script>
    <script src="js/popup.js" defer></script>
    
    <title>Лаба №8</title>
  </head>    
      
  <body>

    <div class="container-fluid mb-3">
      <div class = "row">
        <main class="order-2 p-2 align-self-center mx-auto">
            <a class="navbar-brand nav-text" href="./index.html">
                <h1>Лаба №8</h1>
            </a>
        </main>
        <aside class="order-1 p-2">
            <a class="navbar-brand nav-text" href="./index.html">
                <img class="img-fluid rounded" src="https://i.pinimg.com/originals/d1/69/d0/d169d00ab49945fcd31f914ba18c2380.png" alt="logo"/>
            </a>
        </aside>
      </div>
    </div>

    <nav class="container-sm">
        <div class="d-flex justify-content-around row mb-3 align-self-center align-items-center">
            <div class="col-sm-6 col-xl-1 themed-grid-col py-2"> 
              <a href="#links">
                <h5 class="text-center mb-0">Ссылки</h5>
              </a>
            </div>
            <div class="col-sm-6 col-xl-1 themed-grid-col py-2"> 
              <a href="#table">
                <h5 class="text-center mb-0">Таблица</h5>
              </a>
            </div>
            <div class="col-sm-6 col-xl-1 themed-grid-col py-2"> 
              <a href="#form">
                <h5 class="text-center mb-0">Форма</h5>
              </a>
            </div>
            <div class="col-sm-6 col-xl-1 themed-grid-col py-2"> 
              <a href="#author">
                <h5 class="text-center mb-0">Автор</h5>
              </a>
            </div>  
            <div class="col-sm-6 col-xl-1 themed-grid-col py-2"> 
              <a href="#order">
                <h5 class="text-center mb-0">Заказ</h5>
              </a>
            </div>  
            <div class="col-sm-6 col-xl-1 themed-grid-col py-2"> 
              <a href="#calc">
                <h5 class="text-center mb-0">Калькуль</h5>
              </a>
            </div>
            <div class="col-sm-6 col-xl-1 themed-grid-col py-2"> 
              <a href="#gallery">
                <h5 class="text-center mb-0">Галерея</h5>
              </a>
            </div>
        </div>
    </nav>

    <div class="d-flex flex-column">

      <div class="contentblocks order--1">
        <div class="container-sm theme-list py-3 pl-3 mb-3">
          <div class="d-flex flex-column align-items-center flex-wrap">
            <h2 class="text-center">Popup Test</h2>
            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#testModal">
              Show
            </button>
          </div>
        </div>
      </div>  
      
      <div class="contentblocks order-0">
        <div class="container-sm theme-list py-3 pl-3 mb-3" id="gallery">
          <h2 class="text-center">Галерея</h2>
            <div class="slider-four-item m-3">
              <img src="https://sun9-27.userapi.com/sjCJZZX6b4R7_y4PPNw5TKKB_i3B1NByqK_Rvw/yOPY_NNdubA.jpg" class="m-3 rounded" alt="gm1">
              <img src="https://sun9-17.userapi.com/vHggedA-9mGBynl85MQ4nxJgTF-wWcEwSAlcgg/u6TCkCG_L6w.jpg" class="m-3 rounded" alt="gm1">
              <img src="https://sun9-40.userapi.com/1oTFbHcr6yT5J4hH_3o4K2_KqnGZ0aEEFSyZKw/0_MlrLVgQsE.jpg" class="m-3 rounded" alt="gm1">
              <img src="https://sun9-8.userapi.com/qGYrDmZyBVKDanhj18nhWVnel8txM7fU_69baQ/KDViBkvpiTU.jpg" class="m-3 rounded" alt="gm1">
              <img src="https://sun9-23.userapi.com/9pta4haciioWHNBUEPq0olooxUs8oOE0Mrtz8w/UP03YbLkobU.jpg" class="m-3 rounded" alt="gm1">
              <img src="https://sun9-53.userapi.com/XwHKXKdDl4QwOumZ9M_6IcTLwHE25kc7UkoOMA/O5SUXhaWpjg.jpg" class="m-3 rounded" alt="gm1">
              <img src="https://sun9-11.userapi.com/iCHzKuLKp5unyAK-Dndh77PB6bcS7ShczCIs_w/LsyFRU8wnUg.jpg" class="m-3 rounded" alt="gm1">
              <img src="https://sun9-35.userapi.com/SegqPyxNPOVrffiQOevmIhXNSMcDCeU_l-hqKQ/zK0C742MDPo.jpg" class="m-3 rounded" alt="gm1">
              <img src="https://sun9-8.userapi.com/A-UeA9WJD_qxs34BOdbkgiWncYZQNFrdpOqfTg/5ePProxp0ko.jpg" class="m-3 rounded" alt="gm1">
              <img src="https://sun9-71.userapi.com/-XL3X11z4jsCzfAvgH8FWW-13oUr6NPxBd8U1w/qBdDsVlJids.jpg" class="m-3 rounded" alt="gm1">
              <img src="https://sun9-51.userapi.com/tiem8GUpVt0tLI6HIL6HY72BMxML_rJEJHo6Bw/oM3b8OBeK4I.jpg" class="m-3 rounded" alt="gm1">
              <img src="https://sun9-51.userapi.com/0U8BBCrgsFp-dW1GBxaVhZ3FL_8uYeMcRqdZTg/bzKmnab2pNg.jpg" class="m-3 rounded" alt="gm1">
              <img src="https://sun9-37.userapi.com/_YNt819e-OtaCqRp6T2t_vA5C8yRewUgdHvs-Q/IijTPJX9VZY.jpg" class="m-3 rounded" alt="gm1">
              <img src="https://sun9-1.userapi.com/AmJR2iApCeRvAw_AMWGcvEOi5XoidxcpQDRocw/MgeTzb5dBig.jpg" class="m-3 rounded" alt="gm1">
              <img src="https://sun9-40.userapi.com/2vxZiakC-bw5q1-fu96XvzHnMn8H8303v1fciw/ACoQb9EFztk.jpg" class="m-3 rounded" alt="gm1">
              <img src="https://sun9-27.userapi.com/sjCJZZX6b4R7_y4PPNw5TKKB_i3B1NByqK_Rvw/yOPY_NNdubA.jpg" class="m-3 rounded" alt="gm1">
            </div>
        </div>
      </div> 

      <div class="contentblocks order-1">
        <div class="container-sm theme-list py-3 pl-3 mb-3" id="calc">
          <div class="d-flex flex-column align-items-center flex-wrap">
            <h2 class="text-center">Калькулятор</h2>
            Тип товара:
            <form>
              <select name="product">
                <option value="1">Еда</option>
                <option value="2">Питса без сыра</option>
                <option value="3">Питса с гвоздями</option>
              </select>
              <br />
              <label>Количество:<br />
                <input name="calcAmount" placeholder="Количество еды" type="text" id="Amount"/>
              </label>
              <br />
              <div id="radios">
                <label><input type="radio" name="options" value="option1"> Здесь</label>
                <label><input type="radio" name="options" value="option2"> С собой</label>
                <label><input type="radio" name="options" value="option3"> Съесть за меня</label>
              </div>
              <div id="checkboxes">
                <label><input type="checkbox" name="prop1"> Добавить сыр</label>
                <label><input type="checkbox" name="prop2"> Добавить гвоздей</label>
              </div>
            </form>

            <div id="pprice">Результат</div>
            <div class="gvozdi">
              <img id="secretMeme" class="img-fluid rounded" alt="meme" src="https://sun9-70.userapi.com/c846524/v846524694/94a1f/hFHmp499GXU.jpg">
            </div>
          </div>
        </div>
      </div> 

      <div class="contentblocks order-2">
        <div class="container-sm theme-list py-3 pl-3 mb-3" id="order">
          <div class="d-flex flex-column align-items-center flex-wrap">
            <h2 class="text-center">Заказать заказ заказа</h2>
            <form class="d-block form-group p-2" action="URL_отправки_данных" method="POST">
              <label>Цена:<br />
                  <input name="Price" placeholder="Цена" type="text" id="Price"/>
              </label>
              <br />
              <label>Количество:<br />
                  <input name="gAmount" placeholder="Количество" type="text" id="gAmount"/>
              </label>
              <br />
              <div class="align-items-center">
                <input type="button" value="Кнопка подсчёта" id="button_1">
              </div>
            </form>
            <div id="result">
              Результат очень сложного вычисления
            </div>
          </div>
        </div>
      </div>  

      <div class="contentblocks order-3">
        <div class="container-sm theme-list py-3 pl-0 mb-3" id="links">
          <h2 class="text-center">Гиперссылки</h2>
            <ol>
                <li><a href="http://www.kubsu.ru/">КубГУ</a></li>
                <li><a href="https://www.kubsu.ru/">КубГУ https</a></li>
                <li><a href="ftp://randomserver.ru/temp/file.txt">FTP</a></li>
                <li><a href="ftp://user:pass@randomserver.ru/temp2/file.txt">FTP с авторизацией</a></li>
                <li><a href="http://www.kubsu.ru/#main-content">КубГУ якорь #main-content</a></li>
                <li><a href="#author">Вниз</a></li>
                <li><a href="https://www.google.com/search?ei=react&q=react">React</a></li>
                <li>Навигация КубГУ
                    <ul>
                        <li><a href="http://www.kubsu.ru/" title="Главная">Главная</a></li>
                        <li><a href="https://www.kubsu.ru/ru/university" title="Университет">Университет</a></li>
                        <li><a href="https://www.kubsu.ru/ru/education" title="ВУЗ с лучшими традициями классического образования">Образование</a></li>
                        <li><a href="https://www.kubsu.ru/ru/science" title="Наука и инновации">Наука</a></li>
                        <li><a href="https://www.kubsu.ru/ru/abiturient" title="Добро пожаловать!">Абитуриентам</a></li>
                        <li><a href="https://www.kubsu.ru/ru/studlife" title="Студенческая жизнь">Студентам</a></li>
                    </ul>
                </li>
                <li><a title="ссылка без href">Ссылка без href</a></li>
                <li><a href="" title="ссылка с пустым href">Ссылка с пустым href</a></li>
                <li><a href="https://fomil.tk" rel="nofollow">Ссылка, по которой запрещен переход поисковикам</a></li>
                <li><a href="https://fomil.tk" rel="nofollow"><!--noindex-->Текст, запрещённый к индексированию<!--/noindex--></a></li>
                <li>Полиморфизм в языках программирования и <a href="https://ru.wikipedia.org/wiki/%D0%A2%D0%B5%D0%BE%D1%80%D0%B8%D1%8F_%D1%82%D0%B8%D0%BF%D0%BE%D0%B2">теории типов</a> — способность <a href="https://ru.wikipedia.org/wiki/%D0%A4%D1%83%D0%BD%D0%BA%D1%86%D0%B8%D1%8F_(%D0%BF%D1%80%D0%BE%D0%B3%D1%80%D0%B0%D0%BC%D0%BC%D0%B8%D1%80%D0%BE%D0%B2%D0%B0%D0%BD%D0%B8%D0%B5)">функции</a> обрабатывать данные разных типов.</li>
                <li><a href="https://youtu.be/y6120QOlsfU?t=34"><img src="https://avatars.mds.yandex.net/get-pdb/2500240/758240e2-51ac-41fb-98e6-dd480ba0879a/s1200?webp=false" alt="Картинка с Лосяшем" height ="128"></a></li>
                <li>
                    <img src="https://pngimg.com/uploads/lg_logo/lg_logo_PNG2.png" alt="Картинка с лыжами" usemap = "#LG" height ="264">
                    <map name="LG">
                        <area shape="circle" coords="134,134,132" href="https://www.lg.com/ru" alt="Left logo circle part">
                        <area shape="rect" coords="272,90,436,183" href="https://www.lg.com/ru" alt="LG">
                    </map>
                </li>   
                <li><a href="./index.html">в текущем каталоге</a></li>
                <li><a href="./about/index.html">в каталоге about</a></li>
                <li><a href="../index.html">в каталоге на 1 уровень выше</a></li>
                <li><a href="../../index.html">на 2 уровня выше</a></li>
                <li><a href="/"> Сокращенная ссылка на главную </a></li>
                <li><a href="/glob">Сокращенная ссылка на внутреннюю </a></li>
            </ol>
        </div>
      </div>  

      <div class="contentblocks order-5 order-sm-4">
        <div class="container-sm theme-list py-3 pl-0 mb-3">
          <div class = "container-md theme-list py-3 mb-3 table-responsive-sm">
            <h2 class="text-center" id="table">Таблица</h2>
              <table class= "table table-striped table-bordered table-hover table-sm ml-2">
                  <tr class="thead-dark">
                      <th scope = "col">Колонка 1</th>
                      <th scope = "col">Колонка 2</th>
                      <th scope = "col">Колонка 3</th>
                      <th scope = "col">Колонка 4</th>
                  </tr>
                  <tr class="table-light">
                      <td colspan="2">Ячейка 11 объединенная с 12</td>
                      <td colspan="2">Ячейка 13 объединенная с 14</td>
                  </tr>
                  <tr class="table-active">
                      <td>Ячейка 21</td>
                      <td colspan="2">Ячейка 22 объединенная с 23</td>
                      <td>Ячейка 24</td>
                  </tr>
                  <tr class="table-light">
                      <td>Ячейка 31</td>
                      <td>Ячейка 32</td>
                      <td>Ячейка 33</td>
                      <td>Ячейка 34</td>  
                  </tr>
                  <tr class="table-active">
                      <td colspan="4">Ячейка 41 объединенная с ячейками 42, 43 и 44</td>
                  </tr>
                  <tr class="table-light">
                      <td>Ячейка 51</td>
                      <td colspan="3">Ячейка 52 объединенная с 53 и 54</td>
                  </tr>
              </table>
          </div>
        </div>
      </div>
      
      <div class="contentblocks order-4 order-sm-5">
        <div class = "container-sm theme-list py-3 pl-0 mb-3">  
          <div class = "d-flex flex-column align-items-center flex-wrap">
            <div class="p-2">
              <h2 class="text-center" id="form">Форма</h2>
            </div>
            <div class="form-group p-2">
              <form class="d-block p-2" action="URL_отправки_данных" method="POST">
                <label>Имя:<br />
                    <input name="YourName" value="Ваше имя" />
                </label>
                <br />
                <label>Email:<br />
                    <input name="YourEmail" value="Ваш Email" type="email" />
                </label>
                <br />
                <label>Дата рождения:<br />
                    <input name="Birthdate" value="2004-02-12" type="date" />
                </label>
                <br />
                <span>
                    <span class="choice1">
                        Пол:<br />
                        <label><input type="radio" name="s" value="Male" />М</label>
                        <label><input type="radio" name="s" value="Female" />Ж</label>
                        <br />
                    </span>
                    <span class="choice2">
                        Кол-во конечностей:<br />
                        <label><input type="radio" name="limbs" value="1" />1</label>
                        <label><input type="radio" name="limbs" value="2" />2</label>
                        <label><input type="radio" name="limbs" value="3" />3</label>
                        <label><input type="radio" name="limbs" value="4" />4</label>
                        <br />
                    </span>
                </span>
                <label>Сверхспособности:<br />
                    <select multiple="multiple">
                        <option>Бессмертие</option>
                        <option>Левитация</option>
                        <option>Хождение сквозь стены</option>
                        <option>Сведение "на слух"</option>
                        <option>Разработка музыкального софта</option>
                    </select>
                </label><br />
                <label>Биография:<br />
                    <textarea placeholder="О себе"></textarea>
                  </label><br />
                  <label><input type="checkbox"> С контрактом ознакомлен(-а)</label><br />
                  <input type="button" value="Submit">
                  <input id="secretButton" type="button" value="Секретная кнопка">
              </form>
            </div>
          </div>
        </div>
      </div>

    </div> 

    <footer class="container-fluid rounded" id="author">
      <div class="text-center">
        <a class="navbar-brand footer-size" href = "https://artists.spotify.com/c/artist/5JX7QZYNGyrsQUJAMUfhfO/profile/">
          <h5>© Шустов В. Д. 2020</h5>
        </a>
      </div>
    </footer>

    <div class="modal fade" id="testModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="contentblocks modal-dialog" role="document">
          <div class="modal-content">
              <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel">Форма</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                  </button>
              </div>
              <div class="modal-body form-group">
                  <form class="py-1" method="post" id="ajax_form">
                      <label>
                        Имя:
                          <input 
                            id="modalInputName" 
                            class="form-control w-100" 
                            name="name" 
                            placeholder="Ваше имя"
                            required
                          />
                      </label> 
                      <br/>
                      <label>
                        E-mail:
                          <input 
                            id="modalInputEmail" 
                            class="form-control w-100" 
                            name="email" 
                            placeholder="Ваш Email"
                            required
                            />
                      </label>
                      <br/>
                      <label>
                        Сообщение: 
                          <br/>
                          <textarea 
                            class="form-control w-100" 
                            rows="2" 
                            id="modalInputMessage" 
                            name="msg"
                            required
                            >
                          </textarea>
                      </label>
                      <br/>
                      <label>
                          <input 
                            id="modalCheckbox" 
                            style="width: 15px; height: 15px;" 
                            type="checkbox"
                            required
                            />
                          Cогласен с политикой обработки персональных данных
                      </label>
                      <br/>
                      <input 
                        type="submit" 
                        id="modalButton" 
                        class="btn btn-primary" 
                        value="Отправить"
                        />
                  </form>
              </div>
          </div>
      </div>
    </div>

  </body>

</html>